Package uk.ac.starlink.pal

# Class Stardata

java.lang.Object
uk.ac.starlink.pal.Stardata

public class Stardata extends Object
Various characteristics of an Observation

## Constructor Summary

Constructors
Constructor
Description
`Stardata(AngleDR a, double[] pm, double p, double rv)`
Various characteristics of an Observation

## Method Summary

Modifier and Type
Method
Description
`AngleDR`
`getAngle()`
Get the Angle
`double[]`
`getMotion()`
Get the Proper motion
`double`
`getParallax()`
Get the Parallax
`double`
`getRV()`
Get the radial velocity
`String`
`toString()`
Get the current values as a string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Stardata

public Stardata(AngleDR a, double[] pm, double p, double rv)
Various characteristics of an Observation

Parameters:
  `a` - Angle (α,δ)
  `pm` - Proper motion
  `p` - Parallax
  `rv` - Radial velocity

## Method Details

### getAngle

public AngleDR getAngle()
Get the Angle

Returns:
  Angle (α,δ)

### getMotion

public double[] getMotion()
Get the Proper motion

Returns:
  Proper motion

### getParallax

public double getParallax()
Get the Parallax

Returns:
  Parallax

### getRV

public double getRV()
Get the radial velocity

Returns:
  Radial velocity

### toString

public String toString()
Get the current values as a string

Overrides:
  `toString` in class `Object`
Returns:
  Angle, Proper motion, parallax and radial velocity